unit ConfirmWnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Buttons;

type
  TConfirmWndForm = class(TForm)
    lb1: TLabel;
    Label4: TLabel;
    Shape1: TShape;
    lb2: TLabel;
    bt1: TBitBtn;
    Bevel1: TBevel;
    bt2: TBitBtn;
    Bevel2: TBevel;
    lb3: TLabel;
  private
  public
    mes: string;
  end;


  function AskConfirm(caption, question, warning, explain: string): boolean;

var
  ConfirmWndForm: TConfirmWndForm;

implementation
uses
  RpSysUtils;  

{$R *.dfm}

function AskConfirm(caption, question, warning, explain: string): boolean;
begin
  ConfirmWndForm := TConfirmWndForm.Create(nil);
  try
    ConfirmWndForm.Caption     := caption;
    ConfirmWndForm.lb1.Caption := question;
    ConfirmWndForm.lb2.Caption := warning;
    ConfirmWndForm.lb3.Caption := explain;

    result := ConfirmWndForm.ShowModal = mrOk;

  finally
    ConfirmWndForm.Free;
  end;
end;



end.
